Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## org.w3c.dom.validation
Class ExceptionVAL

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.w3c.dom.validation.ExceptionVAL`

All Implemented Interfaces:
  java.io.Serializable

      public class ExceptionVAL

extends java.lang.RuntimeException

Some Validation operations may throw an `ExceptionVAL` as described in their descriptions.

See also the Document Object Model (DOM) Level 3 Validation Specification.

See Also:
  Serialized Form

Field Summary
`short` `code`
`static short` `NO_SCHEMA_AVAILABLE_ERR` This error occurs when the operation cannot complete due to an unavailable schema.

Constructor Summary
`ExceptionVAL(short code, java.lang.String message)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### code

    public short code

### NO_SCHEMA_AVAILABLE_ERR

    public static final short NO_SCHEMA_AVAILABLE_ERR

  This error occurs when the operation cannot complete due to an unavailable schema. DOM Core needs to provide a definition, and we need to link it here.
  See Also:
    Constant Field Values

Constructor Detail

### ExceptionVAL

    public ExceptionVAL(short code,
                        java.lang.String message)

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003 W3C® (MIT, INRIA, Keio), All Rights Reserved.